import React from "react";
import { BrowserRouter as Router, Routes, Route } from "react-router-dom";
import Dashboard from "./pages/Dashboard";
import Project from "./pages/Project";
import UserAuth from "./pages/UserAuth";
import ToastProvider from "./components/templates/ToastProvider";
import "./styles/main.scss"

const App: React.FC = () => {
  return (
    <ToastProvider>
      <Router>
        <Routes>
          <Route
            path="/"
            element={<UserAuth />}
          />
          <Route path="/dashboard" element={<Dashboard />} />
          <Route path="/project" element={<Project />} />
        </Routes>
      </Router>
    </ToastProvider>
  );
};

export default App;
