import React from "react";
import { CartIcon } from "../../icons/ExportModuleIcons";
import Search from "../../ui/inputs/Search";

interface DashboardNavBarProps {
  page: React.ReactNode;
}

const DashboardNavBar: React.FC<DashboardNavBarProps> = ({ page }) => {
  return (
    <div className="dashboard-navbar-container">
      <div className="title">{page}</div>
      <div className="market-place-button">
        <CartIcon isActive /> Market Place
      </div>
      <Search onChange={() => {}} />
    </div>
  );
};

export default DashboardNavBar;
