import React, { useEffect } from "react";
import { useLeftData, useRightSelected, useTopData } from "../../../store/useZone3DWidgetStore";

interface EditWidgetOptionProps {
  options: string[];
}

const EditWidgetOption: React.FC<EditWidgetOptionProps> = ({ options }) => {
  const { top, setTop } = useTopData()
  const { left, setLeft } = useLeftData()
  const { rightSelect, setRightSelect } = useRightSelected()

  useEffect(() => {

    console.log('left: ', left);
    console.log('top: ', top);
  }, [top, left])

  return (
    <div className="editWidgetOptions-wrapper" style={{ top: top + "px", left: left + "px" }}>
      <div className="editWidgetOptions">
        {options.map((option, index) => (
          <div className="option" key={index} onClick={(e) => setRightSelect(option)}>
            {option}
          </div>
        ))}
      </div>
    </div>
  );
};

export default EditWidgetOption;
