let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const deleteWallItem = async (organization: string, modeluuid: string, modelname: string) => {
    try {
        const response = await fetch(`${url_Backend_dwinzo}/api/v1/deleteWallItem`, {
            method: "DELETE",
            headers: {
                "Content-Type": "application/json",
            },
            body: JSON.stringify({ organization, modeluuid, modelname }),
        });

        if (!response.ok) {
            throw new Error("Failed to delete Wall Item");
        }

        const result = await response.json();
        return result;
    } catch (error) {
        if (error instanceof Error) {
            throw new Error(error.message);
        } else {
            throw new Error("An unknown error occurred");
        }
    }
};