let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const setWallItem = async (
    organization: string,
    modeluuid: string,
    modelname: string,
    type: string,
    csgposition: Object,
    csgscale: Object,
    position: Object,
    quaternion: Object,
    scale: Object
) => {
    try {
        const response = await fetch(`${url_Backend_dwinzo}/api/v1/setWallItems`, {
            method: "POST",
            headers: {
                "Content-Type": "application/json",
            },
            body: JSON.stringify({ organization, modeluuid, modelname, position, type, csgposition, csgscale, quaternion, scale }),
        });

        if (!response.ok) {
            throw new Error("Failed to set or update Wall Item");
        }

        const result = await response.json();
        return result;
    } catch (error) {
        if (error instanceof Error) {
            throw new Error(error.message);
        } else {
            throw new Error("An unknown error occurred");
        }
    }
};