import { setCamera } from './setCameraApi';
import * as THREE from 'three';

let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const getCamera = async (organization: string, userId: string) => {
  try {
    const response = await fetch(`${url_Backend_dwinzo}/api/v1/getCamera/${organization}/${userId}`, {
      method: "GET",
      headers: {
        "Content-Type": "application/json",
      },
    });

    if (!response.ok) {
      throw new Error("Failed to get Camera position and target");
    }

    const result = await response.json();
    if (result === "user not found") {
      return null;
    } else {
      return result;
    }
  } catch (error) {
    if (error instanceof Error) {
      throw new Error(error.message);
    } else {
      throw new Error("An unknown error occurred");
    }
  }
};