import { setEnvironment } from "./setEnvironment";

let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const findEnvironment = async (organization: string, userId: string) => {
  try {
    const response = await fetch(
      `${url_Backend_dwinzo}/api/v1/findEnvironments/${organization}/${userId}`,
      {
        method: "GET",
        headers: {
          "Content-Type": "application/json",
        },
      }
    );

    if (!response.ok) {
      throw new Error("Failed to get wall and roof visibility");
    }

    const result = await response.json();
    if (result === "user not found") {
      const userpos = setEnvironment(
        organization,
        userId,
        false,
        false,
        false,
        0,
        true
      );
      return userpos;
    } else {
      return result;
    }
  } catch (error) {
    if (error instanceof Error) {
      throw new Error(error.message);
    } else {
      throw new Error("An unknown error occurred");
    }
  }
};
