let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const signInApi = async (email: string, password: Object, organization: Object) => {
    try {
        const response = await fetch(`${url_Backend_dwinzo}/api/v1/login`, {
            method: "POST",
            headers: {
                "Content-Type": "application/json",
            },
            body: JSON.stringify({ email, password, organization }),
        });

        const result = await response.json();
        return result;
    } catch (error) {
        if (error instanceof Error) {
            return { error: error.message };
        } else {
            return { error: "An unknown error occurred" };
        }
    }
};