let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const signUpApi = async (userName: string, email: string, password: Object, organization: Object) => {
    try {
        const response = await fetch(`${url_Backend_dwinzo}/api/v1/signup`, {
            method: "POST",
            headers: {
                "Content-Type": "application/json",
            },
            body: JSON.stringify({ userName, email, password, organization }),
        });

        if (!response.ok) {
            throw new Error("Failed to signUpApi");
        }

        const result = await response.json();
        return result;
    } catch (error) {
        if (error instanceof Error) {
            throw new Error(error.message);
        } else {
            throw new Error("An unknown error occurred");
        }
    }
};