let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const deleteZonesApi = async (userId: string, organization: string, zoneId: string) => {
    try {
        const response = await fetch(`${url_Backend_dwinzo}/api/v1/setLine`, {
            method: "POST",
            headers: {
                "Content-Type": "application/json",
            },
            body: JSON.stringify({ userId, organization, zoneId }),
        });

        if (!response.ok) {
            throw new Error("Failed to delete zone");
        }

        const result = await response.json();
        console.log('result: ', result);
        return result;
    } catch (error) {
        if (error instanceof Error) {
            throw new Error(error.message);
        } else {
            throw new Error("An unknown error occurred");
        }
    }
};