let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;
// let url_Backend_dwinzo = `http://192.168.0.102:5000`;
type Side = "top" | "bottom" | "left" | "right";

export const panelData = async (
  organization: string,
  zoneId: string,
  panelOrder: Side[]
) => {
  try {
    const response = await fetch(`${url_Backend_dwinzo}/api/v2/panel/save`, {
      method: "POST",
      headers: {
        "Content-Type": "application/json",
      },
      body: JSON.stringify({ organization, zoneId, panelOrder }),
    });

    if (!response.ok) {
      throw new Error("Failed to add panelOrder for Zone");
    }

    const result = await response.json();
    return result;
  } catch (error) {
    if (error instanceof Error) {
      throw new Error(error.message);
    } else {
      throw new Error("An unknown error occurred");
    }
  }
};
