import { create } from "zustand";

type PlayButtonStore = {
  isPlaying: boolean; // Updated state name to reflect the play/pause status more clearly
  setIsPlaying: (value: boolean) => void; // Updated setter function name for clarity
};

export const usePlayButtonStore = create<PlayButtonStore>((set) => ({
  isPlaying: false, // Default state for play/pause
  setIsPlaying: (value) => set({ isPlaying: value }), // Update isPlaying state
}));
