import { create } from "zustand";

interface ThemeState {
  themeColor: string[]; // This should be an array of strings
  setThemeColor: (colors: string[]) => void; // This function will accept an array of strings
}

export const useThemeStore = create<ThemeState>((set) => ({
  themeColor: ["#5c87df", "#EEEEFE", "#969BA7"],
  setThemeColor: (colors) => set({ themeColor: colors }),
}));
