import { create } from "zustand";

interface ToggleState {
  toggleUI: boolean; // State to track UI toggle
  setToggleUI: (value: boolean) => void; // Action to update toggleUI
}

const useToggleStore = create<ToggleState>((set) => ({
  toggleUI: true, // Initial state
  setToggleUI: (value: boolean) => set({ toggleUI: value }), // Update the state
}));

export default useToggleStore;
